#include <bits/stdc++.h>
#define ll long long
using namespace std;
long long br, p,q,r, a, b;
int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cin >> p >> q >> r >> a >> b;
for (int i = a; i <= b; i++) {
    if (ceil(i/q)+ ceil(i/p) + ceil(i/r) <= i) {
        br++;
    }
}
cout << br << endl;
return 0;
}